//
//  View.swift
//  Progress
//
//  Created by Mark Meretzky on 1/29/15.
//  Copyright (c) 2015 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {
	let progressView: UIProgressView =
		UIProgressView(progressViewStyle: UIProgressViewStyle.Default);
	let label: UILabel = UILabel(frame: CGRectZero);

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)
		backgroundColor = UIColor.whiteColor();

		progressView.progress = 0;	//Thermometer starts empty.
		//progressView.progressTintColor = UIColor.blueColor();
		//progressView.trackTintColor = UIColor.grayColor();
		addSubview(progressView);

		label.text = "0.0/1.0";
		let attributes: [NSObject: AnyObject] = [NSFontAttributeName: label.font];
		label.bounds.size = label.text!.sizeWithAttributes(attributes);
		addSubview(label);
	}

	override func layoutSubviews() {
		progressView.bounds.size.width = 0.75 * bounds.size.width;
		progressView.center = center;
		
		label.center = CGPointMake(
			center.x,
			progressView.center.y
				- progressView.bounds.size.height / 2
				- 0.75 * label.bounds.size.height);
	}

	//Called repeatedly by the times in the view controller.

	func setProgress(timer: NSTimer) {
		progressView.setProgress(progressView.progress + 0.1, animated: true);
		label.text = String(format: "%.1f/%.1f", progressView.progress, 1.0); //1 digit to right of decimal

		if progressView.progress >= 1 {
			timer.invalidate();
		}
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
